package com.srs.stureg.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 到站信息登记对象 srs_arrival_information
 * 
 * @author 邓
 * @date 2023-05-20
 */
public class ArrivalInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long arriveId;

    /** 学生id */
    @Excel(name = "学生id")
    private Long studentId;

    /** 批次 */
    private String lot;

    /** 接站点 */
    @Excel(name = "接站点")
    private String receivingSite;

    /** 人员类型 */
    @Excel(name = "人员类型")
    private String userType;

    /** 时间间隔 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间间隔", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timeInterval;

    /** 统计时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "统计时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date statisticalTime;

    /** 状态（0正常 */
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    public void setArriveId(Long arriveId) 
    {
        this.arriveId = arriveId;
    }

    public Long getArriveId() 
    {
        return arriveId;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setLot(String lot) 
    {
        this.lot = lot;
    }

    public String getLot() 
    {
        return lot;
    }
    public void setReceivingSite(String receivingSite) 
    {
        this.receivingSite = receivingSite;
    }

    public String getReceivingSite() 
    {
        return receivingSite;
    }
    public void setUserType(String userType) 
    {
        this.userType = userType;
    }

    public String getUserType() 
    {
        return userType;
    }
    public void setTimeInterval(Date timeInterval) 
    {
        this.timeInterval = timeInterval;
    }

    public Date getTimeInterval() 
    {
        return timeInterval;
    }
    public void setStatisticalTime(Date statisticalTime) 
    {
        this.statisticalTime = statisticalTime;
    }

    public Date getStatisticalTime() 
    {
        return statisticalTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("arriveId", getArriveId())
            .append("studentId", getStudentId())
            .append("lot", getLot())
            .append("receivingSite", getReceivingSite())
            .append("userType", getUserType())
            .append("timeInterval", getTimeInterval())
            .append("statisticalTime", getStatisticalTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
